import { PromptOptions } from 'gluegun/build/types/toolbox/prompt-enquirer-types';
import { TemplateParams } from '../types/BaseProjectTemplateParams';
export declare enum StyleLibraryChoice {
    GluestackUICore = "Gluestack-UI Core (Unstyled)",
    GluestackUIDefault = "Gluestack-UI Default",
    GluestackUIEjected = "Gluestack-UI Ejected",
    StyledComponents = "Styled Components",
    StyleSheet = "React-Native built-in StyleSheet"
}
export declare enum StorybookChoice {
    Storybook = "Storybook no examples",
    StorybookWithStories = "Storybook with Stories example",
    NoStorybook = "No Storybook"
}
export declare enum IconToolkitChoice {
    LucideIcons = "Lucide Icons",
    noIconToolkit = "No Icon Toolkit"
}
export declare enum StateLibraryChoice {
    ReduxToolkit = "Redux Toolkit",
    ReduxToolkitWithQuery = "Redux Toolkit with RTK Query Example",
    NoStateManagement = "No State Management"
}
export declare enum ReactotronChoice {
    withReactotron = "Add Reactotron",
    withoutReactotron = "No Reactotron"
}
export declare enum ReactNavigationExampleChoice {
    WithReactNavigationExample = "With set-up and example screens",
    WithoutReactNavigationExample = "Without examples"
}
export declare enum InternationalizationChoice {
    i18n = "i18n",
    noI18n = "No"
}
export declare const SelectionToDependencyNameMap: {
    "Gluestack-UI Core (Unstyled)": string[];
    "Gluestack-UI Default": string[];
    "Gluestack-UI Ejected": string[];
    "Styled Components": string[];
    "Redux Toolkit": string[];
    "Redux Toolkit with RTK Query Example": string[];
    "With set-up and example screens": string[];
    "Without examples": string[];
    i18n: string[];
    "Lucide Icons": string[];
};
export declare const SelectionToDevDependencyNameMap: {
    "Styled Components": string[];
    "Storybook no examples": string[];
    "Storybook with Stories example": string[];
    "Add Reactotron": string[];
};
export declare const SelectionToTemplateParamsMap: Partial<Record<StyleLibraryChoice | StorybookChoice | StateLibraryChoice | ReactNavigationExampleChoice | InternationalizationChoice | ReactotronChoice | IconToolkitChoice, Partial<TemplateParams>>>;
export declare const SelectionToOptionalFilePathsMap: {
    "Storybook no examples": {
        matcher: string;
        shouldRegexp: boolean;
    }[];
    "Storybook with Stories example": {
        matcher: string;
        shouldRegexp: boolean;
    }[];
    "Redux Toolkit": {
        matcher: string;
        shouldRegexp: boolean;
    }[];
    "Redux Toolkit with RTK Query Example": {
        matcher: string;
        shouldRegexp: boolean;
    }[];
    "Add Reactotron": {
        matcher: string;
        shouldRegexp: boolean;
    }[];
    "With set-up and example screens": {
        matcher: string;
        shouldRegexp: boolean;
    }[];
    i18n: {
        matcher: string;
        shouldRegexp: boolean;
    }[];
};
export declare const gluestackOptions: StyleLibraryChoice[];
export declare const DefaultTemplateParams: TemplateParams;
export declare const SelectionPrompts: PromptOptions[];
